Product
Header parameters
X-TIUN-API-KEYstringRequired
Responses
200
The request was successful.
application/json
401
The API key is missing or invalid.
application/json
get/live_api/s2s/v1/products
GET /live_api/s2s/v1/products HTTP/1.1
Host: api.tiun.live
X-TIUN-API-KEY: text
Accept: */*
{
"products": [
{
"productId": "text",
"name": "text",
"type": "Subscription"
}
]
}Path parameters
productIdstringRequired
The provider's product ID.
Query parameters
languagestringOptionalPattern:
Optional language: en, de, or fr. Defaults to the snippet preview language in your business dashboard.
^(en|de|fr)$Header parameters
X-TIUN-API-KEYstringRequired
Responses
200
The request was successful.
application/json
productIdstring · min: 1Required
namestring · min: 1Required
typestring · enumRequiredPossible values:
pricingLinestring · min: 1Required
explanationLinestring · nullableOptional
400
The request is invalid.
application/json
401
The API key is missing or invalid.
application/json
404
The product was not found.
application/json
get/live_api/s2s/v1/products/{productId}
GET /live_api/s2s/v1/products/{productId} HTTP/1.1
Host: api.tiun.live
X-TIUN-API-KEY: text
Accept: */*
{
"productId": "text",
"name": "text",
"type": "Subscription",
"pricingLine": "text",
"explanationLine": "text"
}Last updated
Was this helpful?

